Instalación clientes de Citrix en Linux

1 02 2009

xenapp

La instalación de los clientes ICA en distribuciones Linux es un poco más laboriosa que un simple instalador, no ya por la instalación (que no tiene nada) sino por posibles errores de ssl, falta de librerías etc.. en este post os dejo el procedimiento de instalación basado en la distribución Ubuntu.

Bien, lo primero que debemos de hacer es bajarnos el cliente de Citrix para Linux de la siguiente url : http://www.citrix.com/English/SS/downloads/details.asp?dID=2755&downloadID=3323&pID=186

Aquí debemos seleccionar la descarga del archivo en formato tar.gz.

Una vez que lo tengamos descargado procederemos a descomprimirlo ($sudo tar -zxvf archivo.tar.gz)

Una vez lo tengamos descomprimido, entramos en la carpeta descomprimida y debemos de ejecutar el comando ./setupwfc

Bien con esto ya tendríamos el cliente ICA instalado, aunque nos encontraremos que no podemos ejecutar aplicaciones Citrix debido a un error ssl 6, este error es referente al certificado raíz Equifax Secure Global eBusiness CA-1 , certificado raiz que no esta incluido en la instalación del cliente ICA.

Así que nada nos bajamos e certificado de este web:

http://www.geotrust.com/resources/root-certificates/index.html

Y lo copiamos en la carpeta :

/usr/lib/ICAClient/keystore/cacerts/

Una vez hayamos completado todos estos pasos podremos ejecutar aplicaciones Citrix, con el cliente ICA para web. ¿Pero que pasa con el cliente PNA?

Bueno si queremos tener configurado nuestro cliente PNA veremos que el configurador de Program Neighborhood Agent no nos respondera, para hacerlo funcionar y permitirnos configurar nuestro cliente correctamente debemos de de instalar la librera libmotiv3 así que nada, un apt-get install libmotiv3 esperamos que se instale y ya podremos configurar nuestro cliente PNA.

ica-linux


Acciones

Information

4 responses

3 02 2009
Mark

Vaya movida… gracias por la info.

12 05 2009
Emiliano

Che tengo una duda. Sabes que segui los pasos que indicaste, todo perfecto. Pero me baje los certificados de la web q pasaste y no me funcan me sigue dando el error de SSL. que podrá ser?
GRacias..
Saludos!

8 06 2009
Mark

Creo que el nombre de las librerias que comentas es erróneo o ya no existen,

deberia ser libmotif3

24 12 2009
linux user

grasias men de hay dependia mi trabajo

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s




A %d blogueros les gusta esto: